Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.config
Interface AgentConstants

All Known Implementing Classes:
  AgentProperties

    public interface AgentConstants

Contains predefined constants used to create or modify the Authentication API configuration properties.

Field Summary
`static java.lang.String` | `RSA_AGENT_HOST`
`static java.lang.String` | `RSA_CONFIG_READ_INTERVAL`
`static java.lang.String` | `RSA_DEBUG_ENTRY`
`static java.lang.String` | `RSA_DEBUG_EXIT`
`static java.lang.String` | `RSA_DEBUG_FILE`
`static java.lang.String` | `RSA_DEBUG_FLOW`
`static java.lang.String` | `RSA_DEBUG_LOCATION`
`static java.lang.String` | `RSA_DEBUG_NORMAL`
`static java.lang.String` | `RSA_DEBUG_TO_CONSOLE`
`static java.lang.String` | `RSA_DEBUG_TO_FILE`
`static java.lang.String` | `RSA_ENABLE_DEBUG`
`static java.lang.String` | `RSA_LOG_FILE`
`static java.lang.String` | `RSA_LOG_LEVEL`
`static java.lang.String` | `RSA_LOG_TO_CONSOLE`
`static java.lang.String` | `RSA_LOG_TO_FILE`
`static java.lang.String` | `RSA_NO`
`static java.lang.String` | `RSA_NODESCRT_LOC`
`static java.lang.String` | `RSA_NODESCRT_TYPE`
`static java.lang.String` | `RSA_SDCONF_LOC`
`static java.lang.String` | `RSA_SDCONF_TYPE`
`static java.lang.String` | `RSA_SDOPTS_LOC`
`static java.lang.String` | `RSA_SDOPTS_TYPE`
`static java.lang.String` | `RSA_SDSTATUS_LOC`
`static java.lang.String` | `RSA_SDSTATUS_TYPE`
`static java.lang.String` | `RSA_SERVER_EXCHANGE_INITIAL_TIMEOUT`
`static java.lang.String` | `RSA_SERVER_EXCHANGE_TIMEOUT_INCREMENT`
`static java.lang.String` | `RSA_SERVER_EXCHANGE_TIMEOUT_OFFSET`
`static java.lang.String` | `RSA_YES`

Field Detail

### RSA_YES

    static final java.lang.String RSA_YES

See Also:
  Constant Field Values

### RSA_NO

    static final java.lang.String RSA_NO

See Also:
  Constant Field Values

### RSA_SDCONF_TYPE

    static final java.lang.String RSA_SDCONF_TYPE

See Also:
  Constant Field Values

### RSA_SDCONF_LOC

    static final java.lang.String RSA_SDCONF_LOC

See Also:
  Constant Field Values

### RSA_SDSTATUS_TYPE

    static final java.lang.String RSA_SDSTATUS_TYPE

See Also:
  Constant Field Values

### RSA_SDSTATUS_LOC

    static final java.lang.String RSA_SDSTATUS_LOC

See Also:
  Constant Field Values

### RSA_SDOPTS_TYPE

    static final java.lang.String RSA_SDOPTS_TYPE

See Also:
  Constant Field Values

### RSA_SDOPTS_LOC

    static final java.lang.String RSA_SDOPTS_LOC

See Also:
  Constant Field Values

### RSA_NODESCRT_TYPE

    static final java.lang.String RSA_NODESCRT_TYPE

See Also:
  Constant Field Values

### RSA_NODESCRT_LOC

    static final java.lang.String RSA_NODESCRT_LOC

See Also:
  Constant Field Values

### RSA_AGENT_HOST

    static final java.lang.String RSA_AGENT_HOST

See Also:
  Constant Field Values

### RSA_LOG_TO_CONSOLE

    static final java.lang.String RSA_LOG_TO_CONSOLE

See Also:
  Constant Field Values

### RSA_LOG_TO_FILE

    static final java.lang.String RSA_LOG_TO_FILE

See Also:
  Constant Field Values

### RSA_LOG_FILE

    static final java.lang.String RSA_LOG_FILE

See Also:
  Constant Field Values

### RSA_LOG_LEVEL

    static final java.lang.String RSA_LOG_LEVEL

See Also:
  Constant Field Values

### RSA_ENABLE_DEBUG

    static final java.lang.String RSA_ENABLE_DEBUG

See Also:
  Constant Field Values

### RSA_DEBUG_TO_CONSOLE

    static final java.lang.String RSA_DEBUG_TO_CONSOLE

See Also:
  Constant Field Values

### RSA_DEBUG_TO_FILE

    static final java.lang.String RSA_DEBUG_TO_FILE

See Also:
  Constant Field Values

### RSA_DEBUG_FILE

    static final java.lang.String RSA_DEBUG_FILE

See Also:
  Constant Field Values

### RSA_DEBUG_ENTRY

    static final java.lang.String RSA_DEBUG_ENTRY

See Also:
  Constant Field Values

### RSA_DEBUG_EXIT

    static final java.lang.String RSA_DEBUG_EXIT

See Also:
  Constant Field Values

### RSA_DEBUG_FLOW

    static final java.lang.String RSA_DEBUG_FLOW

See Also:
  Constant Field Values

### RSA_DEBUG_NORMAL

    static final java.lang.String RSA_DEBUG_NORMAL

See Also:
  Constant Field Values

### RSA_DEBUG_LOCATION

    static final java.lang.String RSA_DEBUG_LOCATION

See Also:
  Constant Field Values

### RSA_CONFIG_READ_INTERVAL

    static final java.lang.String RSA_CONFIG_READ_INTERVAL

See Also:
  Constant Field Values

### RSA_SERVER_EXCHANGE_INITIAL_TIMEOUT

    static final java.lang.String RSA_SERVER_EXCHANGE_INITIAL_TIMEOUT

See Also:
  Constant Field Values

### RSA_SERVER_EXCHANGE_TIMEOUT_INCREMENT

    static final java.lang.String RSA_SERVER_EXCHANGE_TIMEOUT_INCREMENT

See Also:
  Constant Field Values

### RSA_SERVER_EXCHANGE_TIMEOUT_OFFSET

    static final java.lang.String RSA_SERVER_EXCHANGE_TIMEOUT_OFFSET

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.